/**
 * Theme Name:     Inplex
 * Author:         Kuubiik
 * Template:       hello-elementor
 * Text Domain:	   inplex
 * Version:        1.1.2
 */
 .two-lines {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
 .checkout-remove {
    font-size: 1em;
    line-height: 1;
    color: red !important;
    text-decoration: none;
  }
  .checkout-remove:hover {
    text-decoration: underline;
  }
  
  /* Inplex meta */
  .ipx_errors,
  .ipx_errors a {
    color: red !important;
    font-size: 14px !important;
  }
  .ipx_errors a {
    text-decoration: underline !important;
  }
  
  .ips-value__disabled {
    color: grey;
  }
  
  small.ips-value__disabled:after {
    background: #ccc !important;
    border-color: #ccc !important;
  }
  
  .ipx_alp {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
  }
  
  .ipx_idlsz,
  .ipx_prod_spec,
  .ips_floorplan {
    width: 100%;
  }
  .ipx_idlsz {
    display: flex; 
    gap: 30px;
    flex-direction: column;
  }
  .ipx_idlsz .ips-section {
    margin-bottom: 30px;
  }
  .ipx_idlsz .ips-section > .ips-section-name {
    font-size: 18px;
    font-weight: 600;
  }
  .ipx_idlsz_map,
  .ipx_idlsz_form {
    flex: 1 1 50%;
  }
  .ipx_prod_spec {
    flex-direction: column;
    gap: 20px;
  }

  /* Inplex Ideal size for building calc */
  .ipx_idlsz_land_size_title {
    margin: 0 0 15px;
    font-size: 20px;
  }
  .ipx_idlsz_land_size_inputs {
    display: flex;
  }
  .ipx_idlsz_land_size_inputs input {
    text-align: right;
  }

  .ipx_idlsz_recommended_size {
    margin-top: 10px
  }
  
  /* map */
  .ipx_map_container {
    border: 1px solid #000;
    margin: 31px -31px;
  }
  .ipx_map_container_handler,
  .ipx_map_container_close {
    cursor: pointer;
  }
  
  .ipx_map_container_handler {
    text-decoration: underline;
  }
  .leaflet-control-attribution a {
    font-size: 12px !important;
  }
  .leaflet-control-attribution img {
    width: 12px !important;
    height: 12px !important;
}
.ipx_map_search {
}
.ipx_map_search_title {
    margin: 0 0 10px;
    font-size: 16px;
    display: flex;
    justify-content: space-between;
}
  /* Product specs */
  .ips-section {
    margin-bottom: 15px;
    position: relative;
  }
  .ips-section-name {
    font-family: "Maison Neue Book", Sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5em;
    margin-bottom: 5px;
  }
  .ips-section-value {
    font-family: "Maison Neue", Sans-serif;
    font-size: 20px;
    font-weight: 600;
    line-height: 1.2em;
    letter-spacing: 1px;
    margin: 0;
  }

  .ips-section input {
    border-radius: 0 !important;
  }

  /* hide arrow in number input */
  /* Chrome, Safari, Edge, Opera */
  .ips-section input::-webkit-outer-spin-button,
  .ips-section input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
  
  /* Firefox */
  .ips-section input[type="number"] {
    -moz-appearance: textfield;
  }
  
  .ips-section input:hover, .ips-section input:focus, .ips-section input:active{outline: 0;}
  .ipx_prod_spec-dropdown-btn {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 100%;
    border-bottom: 1px solid #000;
    cursor: pointer;
    z-index: 100;
  }

  .ipx_prod_spec {
    display: flex;
    gap: 50px;
  }
  .ipx_prod_spec > div {
    flex: 1 1 50%;
    flex-direction: column;
  }
  .ipx_prod_spec-dropdown-btn svg {
    margin-top: 2px;
    margin-left: 15px;
  }
  
  .ipx_prod_spec-dropdown-panel {
    background-color: #fff;
    position: absolute;
    display: flex;
    gap: 15px;
    z-index: 100;
    min-width: 250px;
    /* max-width: 400px; */
    max-width: 100%;
    width: 100%;
  }
  .ipx_prod_spec-dropdown-panel > div {
    width: 33%;
    padding: 15px;
  }
  
  .ipx_prod_spec-dropdown-panel > div:not(:last-child) {
    border-right: 1px solid #929799;
  }
  
  .ips-values {
    display: flex;
    flex-direction: column;
  }
  
  .ips-values__name {
    font-family: "Maison Neue", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.2em;
    letter-spacing: 1px;
  }

  .ips-values .radio small {
    font-size: 90%;
  }
  
  .ips-values label.radio input {
    display: none;
  }
  .ips-values label.radio {
    position: relative;
    cursor: pointer;
    margin-top: 10px;
  }
  .ips-values label.radio small:before,
  .ips-values label.radio small:after {
    content: "";
    margin-top: 3px;
  }
  
  .ips-values label.radio small:before {
    border: 1px solid #000;
    width: 10px;
    height: 10px;
    margin-right: 5px;
    display: inline-block;
    vertical-align: top;
  }
  
  .ips-values label.radio small:after {
    background: #fff;
    border: 1px solid #000;
    width: 10px;
    height: 10px;
    position: absolute;
    top: 0;
    left: 0;
    transition: 300ms;
  }
  
  .ips-values label.radio input:checked + small:after {
    background: #5fc5bf;
  }
  
  .inx_search_btn:focus {
      outline: 0 !important;
  }

  #mapdiv {
    min-height: 300px; 
    width: 100%;
    margin: 0 -30px 20px;
    width: calc(100% + 60px);
  }
  
  /* floorplans */
  .ips_floorplan_handles {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 5px;
    margin: 0 -30px;
  }
  .ips_floorplan_handles .active {
    font-weight: bolder;
    color: #5FC5BF;
    outline: 0;
    background: #fff;
  }
  .ips_floorplan_handles .ips-value__disabled:hover,
  .ips_floorplan_handles .ips-value__disabled {
    cursor: not-allowed !important;
    background: grey;
    color: #ebebeb;
  }
  .ips_floorplan_handles > button {
    cursor: pointer;
    background: #000;
    color: #fff;
    padding: 10px 20px !IMPORTANT;
    margin-bottom: 15px;
    width: 24%;
    text-align: center;
  }
  .ips_floorplan_images figure {
    text-align: center;
  }
  .ips_floorplan_images img {
    width: 100%;
    max-width: 300px !important;
  }
  
  /* PACKAGES */
  .inplex-package-blocks {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    margin: 15px 0;
    justify-content: space-between;
  }
  .inplex-package-block {
    padding: 50px;
    border: 3px solid #000;
    transition: all 0.2s;
    position: relative;
  }
  .inplex-package-block:hover {
    cursor: pointer;
    border-color: #5fc5bf;
    background-color: rgb(95 197 191 / 10%);
  }
  /* .inplex-package-block__title {
  
  } */
  .inplex-package-block__price span.price {
    color: #000 !important;
    font-family: "Oxanium", Sans-serif;
    font-size: 2rem !important;
    font-weight: bolder;
    line-height: 1.5em;
    padding: 5px 0;
  }
  .inplex-package-features {
    list-style: none;
    padding: 0;
    margin: 15px 0;
  }
  .inplex-package-features li {
    font-family: "Maison Neue Book", Sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 1.5em;
    padding: 5px 0;
  }
  .inplex-package-features svg {
    width: 16px;
    height: 16px;
    margin-right: 6px;
  }
  .inplex-package-features li.active svg {
    fill: #5fc5bf;
  }
  .inplex-package-features li.inactive,
  .inplex-package-features li.inactive svg {
    color: grey;
    fill: gray !important;
  }
  .inplex-package-block__link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
  

.leaflet-popup-content p {
  font-size: 8px;
  margin: 5px 0 !important;
  max-width: 200px;
}

  @media (min-width: 768px) {
    #ipx_prod_spec-dropdown-btn-1 {
      display: flex !important;
      position: relative;
    }
    .ipx_prod_spec_form {
      display: flex;
    }
    .inpx_display_dimensions {
      min-width: 400px;
    }
    .inpx_display_data {
      width: 100%;
    }
    
    #mapdiv {
      min-height: 400px;
      min-width: 300px;
      margin: 0 0 20px;
      width: 100%;
    }

    .ipx_map_container {margin: 15px 0 0;}
    .ipx_prod_spec {
      /* margin-top: 50px; */
    }
  
    .ips-section {
      margin-bottom: 30px;
    }
    .ipx_idlsz .ips-section {
      margin-bottom: 40px;
    }
    .ips-section-name {
      font-size: 16px;
    }
    .ips-section-value {
      font-size: 24px;
    }
    .ips_floorplan {
        display: flex;
    }
    .ips_floorplan_handles {
        display: flex;
        justify-content: flex-start;
        flex-direction: column;
        margin-right: 100px;
        position: sticky;
        top: 100px;
      margin: 0 ;
    }
    .ips_floorplan_handles > button {
        margin-bottom: 30px;
        width: 100%;
    }
    .ipx_idlsz {
      flex-direction: row;
      gap: 30px;
    }
    .ipx_idlsz_map,
    .ipx_idlsz_form {
      flex: 1 1 50%;
    }
    .ipx_idlsz_map {
      order: 2;
    }
    .ipx_idlsz_form {
      order: 1;
    }
    .ipx_prod_spec {
      gap: 30px !important;
    }
    .ips-values__name {
      font-size: 18px;
    }
    .leaflet-popup-content p {
      font-size: 12px;
      max-width: 500px;
    }
  }

  @media(min-width: 1024px) {
    .ipx_prod_spec_form {
      /* order: 1; */
    }
    .inpx_display_dimensions {
      min-width: 500px;
    }
    .ipx_prod_spec-dropdown {
      max-width: 500px;
    }
    .ipx_prod_spec {
      flex-direction: row;
    }
    .ipx_prod_spec_data {
      order: 2;
    }
  }

.related.products .button.wp-element-button.add_to_cart_button {
  background: #000 !important;
  color: #fff !important;
  padding: 15px 50px 15px 50px !important;
  text-decoration: none !important;
  font-style: normal !important;
}
.related.products .button.wp-element-button.add_to_cart_button:hover {
  background: #fff !important;
  color: #000 !important;
}



/* checkout */
/* checkout cart */
#order_review .cart_item .variation {
  font-size: 12px;
}

/* checkout - success */
.woocommerce-order .woocommerce-table__product-name.product-name > a {
  font-size: 20px;
}
.woocommerce-order .wc-item-meta {
  padding: 0;
}

.yes_no {
  border: 2px solid #fff;padding: 6px 30px; cursor: pointer;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 1px;
}
.yes_no.active {
  background: white;
  color: #000;
}